Mercurial > hg-stable
diff contrib/builddeb @ 28994:8797f03db5b6 stable
builddeb: add flag for a source-only deb
This is required for building a ppa for ubuntu which following patches will
use.
author | Sean Farley <sean@farley.io> |
---|---|
date | Sat, 16 Apr 2016 13:01:47 -0700 |
parents | 837119bf7f01 |
children | 52f71214efce |
line wrap: on
line diff
--- a/contrib/builddeb Sat Apr 16 17:06:11 2016 -0700 +++ b/contrib/builddeb Sat Apr 16 13:01:47 2016 -0700 @@ -10,6 +10,7 @@ CLEANUP=1 DISTID=`(lsb_release -is 2> /dev/null | tr '[:upper:]' '[:lower:]') || echo debian` CODENAME=`lsb_release -cs 2> /dev/null || echo unknown` +DEBFLAGS=-b while [ "$1" ]; do case "$1" in --distid ) @@ -30,6 +31,10 @@ shift CLEANUP= ;; + --source-only ) + shift + DEBFLAGS=-S + ;; * ) echo "Invalid parameter $1!" 1>&2 exit 1 @@ -76,7 +81,7 @@ SRCFILE="mercurial_$(echo $debver | sed "s,-$node,,").orig.tar.gz" "$PWD/hg" archive $SRCFILE mv $SRCFILE .. - debuild -us -uc -i -I -b + debuild -us -uc -i -I $DEBFLAGS if [ $? != 0 ]; then echo 'debuild failed!' exit 1